package com.dgtly.system.service;

import com.dgtly.system.domain.AlertLog;
import java.util.List;

/**
 * 弹框日志Service接口
 * 
 * @author chenyn
 * @date 2023-06-13
 */
public interface IAlertLogService 
{
    /**
     * 查询弹框日志
     * 
     * @param alertLogId 弹框日志ID
     * @return 弹框日志
     */
    public AlertLog selectAlertLogById(Long alertLogId);

//  找
    public AlertLog selectAlertLogByUserId(Long userId);

    public AlertLog selectAlertLogByUserIdAndAlertId(Long userId,Long alertId,String isCacheType,String userType);

    /**
     * 查询弹框日志列表
     * 
     * @param alertLog 弹框日志
     * @return 弹框日志集合
     */
    public List<AlertLog> selectAlertLogList(AlertLog alertLog);

    /**
     * 新增弹框日志
     * 
     * @param alertLog 弹框日志
     * @return 结果
     */
    public int insertAlertLog(AlertLog alertLog);

    /**
     * 修改弹框日志
     * 
     * @param alertLog 弹框日志
     * @return 结果
     */
    public int updateAlertLog(AlertLog alertLog);

    /**
     * 批量删除弹框日志
     * 
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteAlertLogByIds(String ids);

    /**
     * 删除弹框日志信息
     * 
     * @param alertLogId 弹框日志ID
     * @return 结果
     */
    public int deleteAlertLogById(Long alertLogId);
}
